Subject: bug#56711: closed (Re: bug#56711: libunwind-julia fails to build on aarch64)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 12 Dec 2022 13:14:02 +0000

Your bug report

#56711: libunwind-julia fails to build on aarch64 

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
56711: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56711
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#56711: libunwind-julia fails to build on aarch64
From: Efraim Flashner <[email-masked]>
To: Akira Kyle <[email-masked]>
Cc: [email-masked]
Date: Mon, 12 Dec 2022 15:13:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Jul 22, 2022 at 02:45:42PM -0600, Akira Kyle wrote:
> I've been trying to get julia working on aarch64 but I was running into a
> linker error when guix was trying to build libunwind-julia. I tracked it
> down to the libunwind-julia-fix-GCC10-fno-common.patch not including a fix
> for aarch64 which is included in the upstream commit [1] which fixed this in
> libunwind 1.5.0. I gather libunwind-julia is at 1.3.1 due to julia 1.6.3
> only building against that version, and checking the more recent julia
> versions, it seems julia is only updating it's dependency on libunwind to
> 1.5.0 with julia version 1.8.0 which is only a release candidate at this
> point. So perhaps in the meantime,
> libunwind-julia-fix-GCC10-fno-common.patch could be easily updated so julia
> can start building on aarch64?
> 
> [1] https://github.com/libunwind/libunwind/commit/29e17d8d2ccbca07c423e3089a6d5ae8a1c9cb6e
> 
> Thanks!
> Akira

With the recent patches to push julia to 1.8.3 libunwind-julia now
builds for aarch64.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: libunwind-julia fails to build on aarch64
From: Akira Kyle <[email-masked]>
To: [email-masked]
Date: Fri, 22 Jul 2022 14:45:42 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

I've been trying to get julia working on aarch64 but I was running 
into a linker error when guix was trying to build 
libunwind-julia. I tracked it down to the 
libunwind-julia-fix-GCC10-fno-common.patch not including a fix for 
aarch64 which is included in the upstream commit [1] which fixed 
this in libunwind 1.5.0. I gather libunwind-julia is at 1.3.1 due 
to julia 1.6.3 only building against that version, and checking 
the more recent julia versions, it seems julia is only updating 
it's dependency on libunwind to 1.5.0 with julia version 1.8.0 
which is only a release candidate at this point. So perhaps in the 
meantime, libunwind-julia-fix-GCC10-fno-common.patch could be 
easily updated so julia can start building on aarch64?

[1] 
https://github.com/libunwind/libunwind/commit/29e17d8d2ccbca07c423e3089a6d5ae8a1c9cb6e

Thanks!
Akira